package com.ho.flow.mapper;

import com.ho.flow.entity.WorkOrderPlan;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
* @author yule
* @description 针对表【work_order_plan】的数据库操作Mapper
* @createDate 2023-03-16 15:21:05
* @Entity com.ho.flow.entity.WorkOrderPlan
*/
@Mapper
public interface WorkOrderPlanMapper {

    int deleteByPrimaryKey(Integer id);

    int insert(WorkOrderPlan record);

    int insertSelective(WorkOrderPlan record);

    WorkOrderPlan selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(WorkOrderPlan record);

    int updateByPrimaryKey(WorkOrderPlan record);

    List<WorkOrderPlan> selectAll();

    List<WorkOrderPlan> selectByGroupId(Integer groupId);
}
